"{ Package: 'jv:smallsense' }"

Object subclass:#SmallSenseEditSupport
	instanceVariableNames:'service textView'
	classVariableNames:''
	poolDictionaries:''
	category:'SmallSense-Interface'
!

!SmallSenseEditSupport class methodsFor:'instance creation'!

forLanguage: aProgrammingLanguage
    aProgrammingLanguage notNil ifTrue:[
        aProgrammingLanguage isSmalltalk ifTrue:[
            ^SmallSenseSmalltalkEditSupport new
        ].
    ].

    ^SmallSenseGenericEditSupport new.

    "Created: / 24-07-2013 / 23:20:31 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!SmallSenseEditSupport methodsFor:'accessing'!

language
    ^ self subclassResponsibility.

    "Created: / 24-07-2013 / 23:44:51 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

service
    ^ service
!

service:aSmallSenseService
    service := aSmallSenseService.
    textView := aSmallSenseService textView.

    "Modified: / 25-07-2013 / 00:11:45 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!SmallSenseEditSupport methodsFor:'event handling'!

keyPress: key x:x y:y in: view

    "Handles an event in given view (a subview of codeView).
     If the method returns true, the event will not be processed
     by the view."

    ^false

    "Created: / 24-07-2013 / 23:31:46 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

